## com.imcode.imcms.mapping
Class DocumentMapper.SaveEditedDocumentCommand

    java.lang.Object
      com.imcode.imcms.mapping.DocumentMapper.SaveEditedDocumentCommand

All Implemented Interfaces:
  DocumentPageFlow.SaveDocumentCommand, java.io.Serializable

Enclosing class:
  DocumentMapper

    public static class DocumentMapper.SaveEditedDocumentCommand

extends java.lang.Object
implements DocumentPageFlow.SaveDocumentCommand

See Also:
  Serialized Form

Constructor Summary
`DocumentMapper.SaveEditedDocumentCommand()`

Method Summary
`void` `saveDocument(DocumentDomainObject document, UserDomainObject user)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentMapper.SaveEditedDocumentCommand

    public DocumentMapper.SaveEditedDocumentCommand()

Method Detail

### saveDocument

    public void saveDocument(DocumentDomainObject document,
                             UserDomainObject user)
                      throws NoPermissionInternalException,
                             DocumentSaveException

  Specified by:
    `saveDocument` in interface `DocumentPageFlow.SaveDocumentCommand`
  Throws:
    `NoPermissionInternalException`
    `DocumentSaveException`